Update an OIC Integration history record
put
/epm/rest/public/v1/oicIntegrations/histories/{integrationHistoryId}
Request
Path Parameters
-
integrationHistoryId(required): string(uuid)
EDM generated id for integration history
Specifies the parameters to update the OIC integration history record
Root Schema : Parameters for updating an OIC integration history or task record
Type:
Show Source
object-
endTimestamp:
string
The time when integration run or task completed. Timestamp can be provided in the following formats:
YYYY-MM-DDTHH:MM:SS (UTC)
YYYY-MM-DDTHH:MM:SS +hh:mm or YYYY-MM-DDTHH:MM:SS -hh:mm (time zone offset)
YYYY-MM-DDTHH:MM:SS Region/City (time zone name) -
messages:
string
Messages.
-
status(required):
string
Status of the integration run. Allowed values are: PENDING, RUNNING, ERROR and COMPLETED.
Response
Supported Media Types
- application/json
200 Response
Integration history updated successfully
400 Response
Error in body
403 Response
Insufficient Permission
404 Response
Not Found, Integration history not found in EDM
Examples
The following example shows how to update an oic integration run history from outside EDM submitting a put request on the REST resource using cURL.
cURL Command
curl --user epm_cloud_user -X PUT -H 'Content-Type: application/json' -d
@example_request_payload.json https://servername.fa.us2.oraclecloud.com/epm/rest/public/v1/oicIntegrations/histories/70b00472-4bb2-454b-882a-82e0c70647ab
Example of Request Body
The following shows an example of the request body in JSON format.
{
"endTimestamp": "2026-07-08T13:38:20.304Z",
"messages": "Integration completed",
"status": "COMPLETED"
}
Example of Response Body
The following shows an example of the response body returning integrationHistoryId, which can be used for subsequent integration history operations.
"70b00472-4bb2-454b-882a-82e0c70647ab"